bencode-0.6.1.1: Parsers and printers for bencoded data.

Copyright | (c) 2005 Jesper Louis Andersen <jlouis@mongers.org> 2006 Lemmih <lemmih@gmail.com>
License | BSD3
Maintainer | lemmih@gmail.com
Stability | believed to be stable
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.BEncode.Lexer

Description

# Documentation

data Token Source #

Constructors

TDict |
TList |
TInt |
TString ByteString |
TNumber Integer |
TEnd |

#### Instances

Instances details

Show Token Source # |
Instance details Defined in Data.BEncode.Lexer Methods showsPrec :: Int -> Token -> ShowS Source # show :: Token -> String Source # showList :: [Token] -> ShowS Source #
Eq Token Source # |
Instance details Defined in Data.BEncode.Lexer Methods (==) :: Token -> Token -> Bool Source # (/=) :: Token -> Token -> Bool Source #

lexer :: ByteString -> [Token] Source #